Bug 624204 - Review Request: meego-panel-datetime - MeeGo date and time panel
Review Request: meego-panel-datetime - MeeGo date and time panel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Boeckel
Fedora Extras Quality Assurance
:
Depends On:
Blocks: MeeGo1
  Show dependency treegraph
 
Reported: 2010-08-14 07:56 EDT by Peter Robinson
Modified: 2010-09-09 13:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-09 13:35:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mathstuf: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2010-08-14 07:56:42 EDT
SPEC: http://pbrobinson.fedorapeople.org/meego-panel-datetime.spec
SRPM: http://pbrobinson.fedorapeople.org/meego-panel-datetime-0.3.2-1.fc14.src.rpm

Description:
Date and Time panel which features world clock and alarm support.
Comment 1 Peter Robinson 2010-09-01 11:48:41 EDT
Oh, and a koji build http://koji.fedoraproject.org/koji/taskinfo?taskID=2440718
Comment 2 Ben Boeckel 2010-09-06 16:52:47 EDT
I'll take this.
Comment 3 Ben Boeckel 2010-09-06 17:35:05 EDT
I'm getting this error in a rawhide mock build:

checking for MPL... no
configure: error: Package requirements (moblin-panel >= 0.50.0) were not met:
No package 'moblin-panel' found
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
Alternatively, you may set the environment variables MPL_CFLAGS
and MPL_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

Missing BR?
Comment 4 Peter Robinson 2010-09-06 18:18:46 EDT
(In reply to comment #3)
> I'm getting this error in a rawhide mock build:
> 
> checking for MPL... no
> configure: error: Package requirements (moblin-panel >= 0.50.0) were not met:
> No package 'moblin-panel' found
> Consider adjusting the PKG_CONFIG_PATH environment variable if you
> installed software in a non-standard prefix.
> Alternatively, you may set the environment variables MPL_CFLAGS
> and MPL_LIBS to avoid the need to call pkg-config.
> See the pkg-config man page for more details.
> 
> Missing BR?

Hmm. It was building OK less that a week ago. I'll have a look at it now.
Comment 5 Peter Robinson 2010-09-06 18:32:04 EDT
It seems I uploaded the wrong srpm. The spec file was correct. This is the correct srpm

http://pbrobinson.fedorapeople.org/meego-panel-datetime-0.3.2-1.fc13.src.rpm
Comment 6 Ben Boeckel 2010-09-06 19:01:25 EDT
 +:ok,  NA: not applicable

MUST Items:
[+] MUST: rpmlint output

% lintmock fedora-rawhide-x86_64
meego-panel-datetime.src:3: W: macro-in-comment %{version}
meego-panel-datetime.src:3: W: macro-in-comment %{version}
meego-panel-datetime.src:3: W: macro-in-comment %{name}
meego-panel-datetime.src:3: W: macro-in-comment %{version}
meego-panel-datetime.src: W: no-buildroot-tag
meego-panel-datetime.src: W: invalid-url Source0: meego-panel-datetime-0.3.2.tar.bz2
meego-panel-datetime.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/date-time.schemas
3 packages and 0 specfiles checked; 0 errors, 7 warnings.

Looks good to me.

[+] MUST: Package Naming Guidelines
[+] MUST: spec file name must match base package %{name}
[+] MUST: Packaging Guidelines.
[+] MUST: Licensing Guidelines
[+] MUST: License field in the package spec file must match actual license.
[+] MUST: include license files in %doc if available in source
[+] MUST: The spec file must be written in American English and be legible.
[+] MUST: source sha1sum matches upstream release

feddabd6d39bcd6557e3551e1c81ea0dd375e527  meego-panel-datetime-0.3.2.tar.bz2
feddabd6d39bcd6557e3551e1c81ea0dd375e527  ../../SOURCES/meego-panel-datetime-0.3.2.tar.bz2

[+] MUST: must successfully compile and build into binary rpms on one main arch

Koji link above.

[+] MUST: if necessary use ExcludeArch for other archs
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: use %find_lang macro for .po translations
[NA] MUST: packages which store shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun.
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissable content.
[NA] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[+] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.

Isn't there some %post/%postun scriptlet for gconf schemas now? Or is that it's replacement? I see some drafts on the wiki (https://fedoraproject.org/wiki/PackagingDrafts/ScriptletSnippets/GConf). Also the tarball commands are missing a cd into the repository.

Will appove once the scriptlets are added (if they are needed).
Comment 8 Ben Boeckel 2010-09-06 20:15:56 EDT
Approved.
Comment 9 Peter Robinson 2010-09-07 02:43:51 EDT
Thanks for the review.

New Package GIT Request
=======================
Package Name: meego-panel-datetime
Short Description: MeeGo date and time panel
Owners: pbrobinson
Branches: F-14 F-13
InitialCC:
Comment 10 Kevin Fenzi 2010-09-08 13:57:22 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.